# Xapian::DocIDWrapper Class Reference

A wrapper class for a docid which returns the docid if dereferenced with *. More...

`#include <postingiterator.h>`

List of all members.

## Public Member Functions

| DocIDWrapper (docid did_)
docid | operator * () const

## Detailed Description

A wrapper class for a docid which returns the docid if dereferenced with *.

We need this to implement input_iterator semantics.

The documentation for this class was generated from the following file:

- include/xapian/postingiterator.h